## gap-polymaking 0.8.6

=== debian/changelog ===
gap-polymaking (0.8.6-2) unstable; urgency=medium

  * Source-only upload 

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Fri, 26 Nov 2021 06:16:45 +0100

gap-polymaking (0.8.6-1) unstable; urgency=medium

  * Initial release (Closes: #988407). 
  * Created with gap2deb
  * Patch doc-makefile adapted to fit the documentation build
  * Patch example-2.6 fixes a documentation issue

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Wed, 29 Sep 2021 19:26:33 +0200
