=== debian/control ===
Source: gap-polymaking
Section: math
Priority: optional
Maintainer: Joachim Zobel <jz-2017@heute-morgen.de>
Build-Depends: debhelper-compat (= 12), gap (>= 4r7), gap-autodoc, 
 texlive-fonts-recommended, texlive-latex-extra, cm-super,
 polymake
Standards-Version: 4.6.0
Homepage: https://www.gap-system.org/Packages/polymaking.html

Package: gap-polymaking
Provides: gap-pkg-polymaking
Depends: ${misc:Depends}, ${perl:Depends}, polymake
Recommends: gap
Suggests: gap-gapdoc
Architecture: all
Description: GAP polymaking - Interfacing the geometry software polymake
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package provides a very basic interface to the polymake program by
 Ewgenij Gawrilow, Michael Joswig et al.
