=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2020 Joachim Zobel

export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
export FORCE_SOURCE_DATE = 1
export LC_ALL = C

debian/gaproot/pkg:
	mkdir -p debian/gaproot/pkg
	ln -s ../../.. debian/gaproot/pkg/polymaking

doc: debian/gaproot/pkg
	make -C doc && touch doc

execute_after_dh_auto_test: debian/gaproot/pkg
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	gap -q -l "$(CURDIR)/debian/gaproot;/usr/share/gap" < tst/testall.g | tee debian/gap.tst
	! grep "^########" debian/gap.tst
endif

execute_after_dh_auto_build: doc;

override_dh_install:
	dh_install *.g lib usr/share/gap/pkg/polymaking
	make -C doc install DESTDIR=../debian/gap-polymaking

override_dh_installdocs:
	dh_installdocs README.md

override_dh_installchangelogs:
	dh_installchangelogs  CHANGES.md

clean:
	dh_testdir
	dh_testroot
	make -C doc clean
	rm -rf debian/gaproot
	rm -f debian/gap.tst
	dh_clean

%:
	dh $@

.PHONY: clean doc override_dh_install override_dh_installdocs override_dh_installchangelogs execute_after_dh_auto_test execute_after_dh_auto_build
