## gap-polymaking 0.8.7

=== debian/changelog ===
gap-polymaking (0.8.7-3) unstable; urgency=medium

  * Applied patch from Chris Lamb to make the build reproducible independently
    of the umask value (Closes: #1069169) 

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Wed, 17 Apr 2024 12:37:44 +0200

gap-polymaking (0.8.7-2) unstable; urgency=medium

  * Moved the tests to autopkgtest (Closes: #1067319) 

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Mon, 15 Apr 2024 21:02:15 +0200

gap-polymaking (0.8.7-1) unstable; urgency=medium

  * New upstream release
  * Removed outdated patch example 2.6
  * polymake 4.11-1 closes: #1052974

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Wed, 22 Nov 2023 20:32:37 +0100

gap-polymaking (0.8.6-3) unstable; urgency=medium

  * Aligned with gap2deb output
  * Improved test failure detection 

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Fri, 21 Jul 2023 12:33:59 +0200
