=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Build-Depends: debhelper-compat (= 12), gap (>= 4r7), gap-autodoc, 
  texlive-fonts-recommended, texlive-latex-extra, cm-super,
  polymake
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://www.gap-system.org/Packages/polymaking.html
 
 Package: gap-polymaking
