=== debian/rules ===
--- 
+++ 
@@ -12,17 +12,21 @@
 doc: debian/gaproot/pkg
 	make -C doc && touch doc
 
+ifneq (,$(filter check,$(DEB_BUILD_OPTIONS)))
 execute_after_dh_auto_test: debian/gaproot/pkg
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	gap -q -l "$(CURDIR)/debian/gaproot;/usr/share/gap" < tst/testall.g | tee debian/gap.tst
-	! grep "^########" debian/gap.tst
+	grep -q "^#I  No errors detected while testing" debian/gap.tst
 endif
 
 execute_after_dh_auto_build: doc;
 
 override_dh_install:
-	dh_install *.g lib usr/share/gap/pkg/polymaking
+	dh_install *.g lib tst usr/share/gap/pkg/polymaking
 	make -C doc install DESTDIR=../debian/gap-polymaking
+
+override_dh_fixperms:
+	dh_fixperms -X.tst
+	chmod g-w debian/gap-polymaking/usr/share/gap/pkg/polymaking/tst/*.tst
 
 override_dh_installdocs:
 	dh_installdocs README.md
@@ -41,4 +45,4 @@
 %:
 	dh $@
 
-.PHONY: clean doc override_dh_install override_dh_installdocs override_dh_installchangelogs execute_after_dh_auto_test execute_after_dh_auto_build 
+.PHONY: execute_after_dh_auto_test execute_after_dh_auto_build clean override_dh_install override_dh_installdocs override_dh_installchangelogs
