## gap-polymaking 0.8.8

=== debian/changelog ===
gap-polymaking (0.8.8-1) unstable; urgency=medium

  * New upstream release 
  * Aligned with gap2deb output

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Wed, 24 Dec 2025 10:22:42 +0100
