=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: math
 Priority: optional
 Maintainer: Joachim Zobel <jz-2017@heute-morgen.de>
-Build-Depends: debhelper-compat (= 12), gap (>= 4r7), gap-autodoc, 
+Build-Depends: debhelper-compat (= 13), gap (>= 4r7), gap-autodoc, 
  texlive-fonts-recommended, texlive-latex-extra, cm-super,
  polymake
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.gap-system.org/Packages/polymaking.html
