=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2025 Joachim Zobel <jz-2017@heute-morgen.de>

export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
export FORCE_SOURCE_DATE = 1
export LC_ALL = C

ifneq (,$(filter check,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_test: debian/gaproot/pkg
	echo 'SetPackagePath("polymaking","."); Read("tst/testall.g");' \
	| gap -q -R -A | tee debian/gap.tst
	grep -q "^#I  No errors detected while testing" debian/gap.tst
endif

execute_after_dh_auto_build:
	echo 'SetPackagePath("polymaking","."); PushOptions(rec(relativePath:=true)); Read("makedoc.g");' \
	| gap -q -R -A

override_dh_install:
	dh_install *.g lib tst usr/share/gap/pkg/polymaking
	make -C doc install DESTDIR=../debian/gap-polymaking

override_dh_fixperms:
	dh_fixperms -X.tst
	chmod g-w debian/gap-polymaking/usr/share/gap/pkg/polymaking/tst/*.tst

override_dh_installdocs:
	dh_installdocs README.md

override_dh_installchangelogs:
	dh_installchangelogs  CHANGES.md

clean:
	dh_testdir
	dh_testroot
	make -C doc clean
	rm -f debian/gap.tst
	dh_clean

%:
	dh $@

.PHONY: execute_after_dh_auto_test execute_after_dh_auto_build clean override_dh_install override_dh_clean override_dh_installdocs override_dh_installchangelogs override_dh_fixperms
